%{?nodejs_find_provides_and_requires}

%global packagename strip-bom-stream

# tests disabled due to missing npm(ava) test suite
%global enable_tests 0

Name:		nodejs-strip-bom-stream
Version:	2.0.0
Release:	2%{?dist}
Summary:	Strip UTF-8 byte order mark (BOM) from a stream

License:	MIT
URL:		https://github.com/sindresorhus/strip-bom-stream
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/strip-bom-stream/v2.0.0/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(first-chunk-stream)
BuildRequires:	npm(strip-bom)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Strip UTF-8 byte order mark (BOM) from a stream


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
